commit:     f0eb50f088d36a41a269bf26db702dcefc7303b8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 11 16:38:53 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug 11 16:43:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0eb50f0

mail-client/claws-mail: Make live ebuild finally use gtk+:3 again

Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 mail-client/claws-mail/claws-mail-9999.ebuild | 11 +++++++----
 mail-client/claws-mail/metadata.xml           |  2 +-
 2 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/mail-client/claws-mail/claws-mail-9999.ebuild 
b/mail-client/claws-mail/claws-mail-9999.ebuild
index f3986612859..7956bc9f6f7 100644
--- a/mail-client/claws-mail/claws-mail-9999.ebuild
+++ b/mail-client/claws-mail/claws-mail-9999.ebuild
@@ -20,7 +20,7 @@ fi
 SLOT="0"
 LICENSE="GPL-3"
 
-IUSE="archive bogofilter calendar clamav dbus debug dillo doc gdata +gnutls 
gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify litehtml 
networkmanager nls nntp +notification pdf perl +pgp python rss session sieve 
smime spamassassin spam-report spell startup-notification svg valgrind xface"
+IUSE="archive bogofilter calendar clamav dbus debug dillo doc gdata +gnutls 
gtk2 +imap ipv6 ldap +libcanberra +libindicate +libnotify litehtml 
networkmanager nls nntp +notification pdf perl +pgp python rss session sieve 
smime spamassassin spam-report spell startup-notification svg valgrind xface"
 REQUIRED_USE="libcanberra? ( notification )
        libindicate? ( notification )
        libnotify? ( notification )
@@ -52,8 +52,8 @@ COMMONDEPEND="
        gdata? ( >=dev-libs/libgdata-0.17.2 )
        dillo? ( www-client/dillo )
        gnutls? ( >=net-libs/gnutls-3.0 )
-       gtk3? ( x11-libs/gtk+:3 )
-       !gtk3? ( >=x11-libs/gtk+-2.24:2 )
+       !gtk2? ( x11-libs/gtk+:3 )
+       gtk2? ( >=x11-libs/gtk+-2.24:2 )
        imap? ( >=net-libs/libetpan-0.57 )
        ldap? ( >=net-nds/openldap-2.0.7 )
        litehtml? (
@@ -114,6 +114,10 @@ PATCHES=(
 
 pkg_setup() {
        use python && python-single-r1_pkg_setup
+
+       if ! use gtk2 ; then
+               EGIT_BRANCH="gtk3"
+       fi
 }
 
 src_prepare() {
@@ -150,7 +154,6 @@ src_configure() {
                $(use_enable doc manual)
                $(use_enable gdata gdata-plugin)
                $(use_enable gnutls)
-               $(use_enable gtk3)
                $(use_enable ipv6)
                $(use_enable ldap)
                $(use_enable litehtml litehtml_viewer-plugin)

diff --git a/mail-client/claws-mail/metadata.xml 
b/mail-client/claws-mail/metadata.xml
index 215b58ddd53..a6bb23809b1 100644
--- a/mail-client/claws-mail/metadata.xml
+++ b/mail-client/claws-mail/metadata.xml
@@ -10,7 +10,7 @@
                <flag name="bogofilter">Build <pkg>mail-filter/bogofilter</pkg> 
plugin</flag>
                <flag name="dillo">Enable dillo html viewer plugin</flag>
                <flag name="gdata">Enable plugin for access to Google data 
providers</flag>
-               <flag name="gtk3">Build support for GTK+3</flag>
+               <flag name="gtk2">Build support for GTK+-2 instead of GTK+-3 
(live ebuild only)</flag>
                <flag name="libcanberra">Enable sound notification in 
connection with USE=notification</flag>
                <flag name="libindicate">Enable notification through DBUS in 
connection with USE=notification</flag>
                <flag name="libnotify">Enable notification on the desktop in 
connection with USE=notification</flag>

Reply via email to